Get a spec

View as Markdown
Gets information about an API specification.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

specIdstringRequired
The spec's ID.

Response

Successful Response
idstring
The specification's ID.
fileFormatenum
The specification's file format.
namestring
The specification's name.
typeenum
The type of API specification.
createdByinteger
The user ID of the user that created the specification.
updatedByinteger
The ID of the user who updated the specification.
createdAtdatetime
The date and time at which the specification was created.
updatedAtdatetime
The date and time at which the specification was updated.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error